import { Component, ViewChild } from '@angular/core';
import { Ajax } from '@syncfusion/ej2-base'
import { TreeView } from "@syncfusion/ej2-navigations";
@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  @ViewChild("tree") tree: TreeView;
  public field: Object = { dataSource: [], id: '$.id', text: 'author' };
  public onCreate() {
    var proxy = this;
    const ajax = new Ajax('http://localhost/xmlData/myFile.xml', 'GET');
    ajax.send();
    ajax.onSuccess = (data: any) => {
      debugger
      var parseString = require('xml2js').parseString;

      parseString(data, function (err, result) {
        var dataSource = result.catalog.book;
        proxy.tree.fields.dataSource = dataSource;
      });
    };
  }
}